ARAlignment (BioJava-1.5-beta API)
Keywords: org.biojava.bio.alignment.ARAlignment interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.alignment
Interface ARAlignment

All Superinterfaces:
  Alignment, Changeable, SymbolList

All Known Implementing Classes:
  FlexibleAlignment

    public interface ARAlignment

extends Alignment

ARAlignment is an interface that defines methods for adding and removing seqeunces from an Alignment.

Author:
  David Waring

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.symbol.Alignment
`Alignment.SymbolListIterator`

Field Summary
`static ChangeType` | `ADD_LABEL`
`static ChangeType` | `REMOVE_LABEL`

Fields inherited from interface org.biojava.bio.symbol.Alignment
`CONTENT`

Fields inherited from interface org.biojava.bio.symbol.SymbolList
`EDIT, EMPTY_LIST`

Method Summary
`void` | `addSequence(AlignmentElement ae)`
`void` | `removeSequence(Object label)`

Methods inherited from interface org.biojava.bio.symbol.Alignment
`getLabels, subAlignment, symbolAt, symbolListForLabel, symbolListIterator`

Methods inherited from interface org.biojava.bio.symbol.SymbolList
`edit, getAlphabet, iterator, length, seqString, subList, subStr, symbolAt, toList`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### ADD_LABEL

    static final ChangeType ADD_LABEL

### REMOVE_LABEL

    static final ChangeType REMOVE_LABEL

Method Detail

### addSequence

    void addSequence(AlignmentElement ae)
                     throws ChangeVetoException,
                            BioException

  Throws:
    `ChangeVetoException`
    `BioException`

### removeSequence

    void removeSequence(Object label)
                        throws ChangeVetoException

  Throws:
    `ChangeVetoException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD